%global momorel 1
%global rcver   2

Summary: Meta package for X
Name: X
Version: 7.1
Release: %{momorel}m
#Release: 0.%{rcver}.%{momorel}m
License: MIT/X
Group: User Interface/Desktops
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

################################################

### libraries
# in pkgs
# ls -d libX*
%global Xlibs01 libX11 libXcomposite libXext libXi libXrandr libXv
%global Xlibs02 libXScrnSaver libXcursor libXfixes libXinerama libXrender libXvMC
%global Xlibs03 libXTrap libXdamage libXfont libXmu libXres libXxf86dga
%global Xlibs04 libXau libXdmcp libXfontcache libXp libXt libXxf86misc
%global Xlibs05 libXaw libXevie libXft libXpm libXtst libXxf86vm
%global Xlibs06 libSM libICE libFS libfontenc libdmx libdrm liblbxutil libxkbfile
# mesa sub pkgs
%global Xlibs07 mesa-libGLw mesa-libGL mesa-libGLU mesa-source
%global Xlibs08 mesa-libGLw-devel mesa-libGL-devel mesa-libGLU-devel

### misc
# in pkgs
# ls -d xorg-x11*|grep -v drv
%global Xpkgs01 xorg-x11-apps xorg-x11-filesystem
%global Xpkgs02 xorg-x11-font-utils 
#xorg-x11-fonts
%global Xpkgs03 xorg-x11-proto-devel xorg-x11-resutils
#%%global Xpkgs04 xorg-x11-server xorg-x11-server-utils
%global Xpkgs04 xorg-x11-twm xorg-x11-util-macros xorg-x11-utils
%global Xpkgs05 xorg-x11-xauth xorg-x11-xbitmaps xorg-x11-xdm
%global Xpkgs06 xorg-x11-xfs xorg-x11-xfwp xorg-x11-xinit xorg-x11-xinit-base
%global Xpkgs07 xorg-x11-xkb-utils xorg-x11-xkbdata xorg-x11-xsm
%global Xpkgs08 xorg-x11-xtrans-devel
%global Xpkgs09 xorg-x11-server-Xorg xorg-x11-server-utils
%global Xpkgs10 xorg-x11-server-sdk xorg-x11-server-Xephyr
%global Xpkgs11 xorg-x11-server-Xnest xorg-x11-server-Xvfb xorg-x11-server-Xdmx

### fonts
# rpm -qa | grep xorg-x11-fonts
%global Xfonts01 xorg-x11-fonts-misc xorg-x11-fonts-ethiopic
%global Xfonts02 xorg-x11-fonts-base xorg-x11-fonts-100dpi
%global Xfonts03 xorg-x11-fonts-Type1 xorg-x11-fonts-75dpi
%global Xfonts04 xorg-x11-fonts-ISO8859-1-100dpi xorg-x11-fonts-ISO8859-1-75dpi
%global Xfonts05 xorg-x11-fonts-ISO8859-2-100dpi xorg-x11-fonts-ISO8859-2-75dpi
%global Xfonts06 xorg-x11-fonts-ISO8859-9-100dpi xorg-x11-fonts-ISO8859-9-75dpi
%global Xfonts07 xorg-x11-fonts-ISO8859-14-100dpi xorg-x11-fonts-ISO8859-14-75dpi
%global Xfonts08 xorg-x11-fonts-ISO8859-15-100dpi xorg-x11-fonts-ISO8859-15-100dpi
%global Xfonts09 xorg-x11-fonts-cyrillic xorg-x11-fonts-syriac
%global Xfonts10 xorg-x11-fonts-truetype japanese-fonts latin-fonts intlfonts

### drivers
%global Xpkgdrv01 xorg-x11-drivers
# meta pkg
#
# in pkgs
# ls -d xorg-x11*|grep drv
#%%global Xpkgdrv02 xorg-x11-drv-acecad xorg-x11-drv-aiptek xorg-x11-drv-apm
#%%global Xpkgdrv03 xorg-x11-drv-ark xorg-x11-drv-ati xorg-x11-drv-calcomp
#%%global Xpkgdrv04 xorg-x11-drv-chips xorg-x11-drv-cirrus xorg-x11-drv-citron
#%%global Xpkgdrv05 xorg-x11-drv-cyrix xorg-x11-drv-digitaledge xorg-x11-drv-dmc
#%%global Xpkgdrv06 xorg-x11-drv-dummy xorg-x11-drv-dynapro xorg-x11-drv-elo2300
#%%global Xpkgdrv07 xorg-x11-drv-elographics xorg-x11-drv-evdev xorg-x11-drv-fbdev
#%%global Xpkgdrv08 xorg-x11-drv-fpit xorg-x11-drv-glint xorg-x11-drv-hyperpen
#%%global Xpkgdrv09 xorg-x11-drv-i128 xorg-x11-drv-i740 xorg-x11-drv-i810
#%%global Xpkgdrv10 xorg-x11-drv-jamstudio xorg-x11-drv-joystick xorg-x11-drv-keyboard
#%%global Xpkgdrv11 xorg-x11-drv-magellan xorg-x11-drv-magictouch xorg-x11-drv-mga
#%%global Xpkgdrv12 xorg-x11-drv-microtouch xorg-x11-drv-mouse xorg-x11-drv-mutouch
#%%global Xpkgdrv13 xorg-x11-drv-neomagic xorg-x11-drv-nsc xorg-x11-drv-nv
#%%global Xpkgdrv14 xorg-x11-drv-palmax xorg-x11-drv-penmount xorg-x11-drv-rendition
#%%global Xpkgdrv15 xorg-x11-drv-s3 xorg-x11-drv-s3virge xorg-x11-drv-savage
#%%global Xpkgdrv16 xorg-x11-drv-siliconmotion xorg-x11-drv-sis xorg-x11-drv-sisusb
#%%global Xpkgdrv17 xorg-x11-drv-spaceorb xorg-x11-drv-summa xorg-x11-drv-tdfx
#%%global Xpkgdrv18 xorg-x11-drv-tek4957 xorg-x11-drv-trident xorg-x11-drv-tseng
#%%global Xpkgdrv19 xorg-x11-drv-ur98 xorg-x11-drv-v4l xorg-x11-drv-vesa
#%%global Xpkgdrv20 xorg-x11-drv-vga xorg-x11-drv-via xorg-x11-drv-vmware
#%%global Xpkgdrv21 xorg-x11-drv-void xorg-x11-drv-voodoo

%global Xpkgdrv02 xorg-x11-drv-acecad xorg-x11-drv-aiptek
%global Xpkgdrv03 xorg-x11-drv-ati xorg-x11-drv-calcomp
%global Xpkgdrv04 xorg-x11-drv-citron
%global Xpkgdrv05 xorg-x11-drv-digitaledge xorg-x11-drv-dmc
%global Xpkgdrv06 xorg-x11-drv-dummy xorg-x11-drv-dynapro xorg-x11-drv-elo2300
%global Xpkgdrv07 xorg-x11-drv-elographics xorg-x11-drv-evdev xorg-x11-drv-fbdev
%global Xpkgdrv08 xorg-x11-drv-fpit xorg-x11-drv-hyperpen
%global Xpkgdrv09 xorg-x11-drv-jamstudio 
%global Xpkgdrv10 xorg-x11-drv-joystick xorg-x11-drv-keyboard
%global Xpkgdrv11 xorg-x11-drv-magellan xorg-x11-drv-magictouch xorg-x11-drv-mga
%global Xpkgdrv12 xorg-x11-drv-microtouch xorg-x11-drv-mouse xorg-x11-drv-mutouch
%global Xpkgdrv13 xorg-x11-drv-nv
%global Xpkgdrv14 xorg-x11-drv-palmax xorg-x11-drv-penmount 
%global Xpkgdrv15 xorg-x11-drv-s3 xorg-x11-drv-s3virge xorg-x11-drv-savage
%global Xpkgdrv16 xorg-x11-drv-sis xorg-x11-drv-sisusb
%global Xpkgdrv17 xorg-x11-drv-spaceorb xorg-x11-drv-summa xorg-x11-drv-tdfx
%global Xpkgdrv18 xorg-x11-drv-tek4957 xorg-x11-drv-trident 
%global Xpkgdrv19 xorg-x11-drv-ur98 xorg-x11-drv-vesa
%global Xpkgdrv20 xorg-x11-drv-vga
%global Xpkgdrv21 xorg-x11-drv-void xorg-x11-drv-voodoo

%global Xnotix86drv01 xorg-x11-drv-apm xorg-x11-drv-ark xorg-x11-drv-chips xorg-x11-drv-cirrus
%global Xnotix86drv02 xorg-x11-drv-cyrix xorg-x11-drv-glint xorg-x11-drv-i128 
%global Xnotix86drv03 xorg-x11-drv-i740 xorg-x11-drv-i810 xorg-x11-drv-neomagic
%global Xnotix86drv04 xorg-x11-drv-nsc xorg-x11-drv-rendition xorg-x11-drv-siliconmotion
%global Xnotix86drv05 xorg-x11-drv-tseng xorg-x11-drv-v4l xorg-x11-drv-via xorg-x11-drv-vmware

### etc
%global Xpkgetc01 imake

### X11 6.8.2 packages
%global Xobso01 xorg-x11 xorg-x11-75dpi-fonts xorg-x11-100dpi-fonts
%global Xobso02 xorg-x11-ISO8859-14-100dpi-fonts xorg-x11-ISO8859-14-75dpi-fonts
%global Xobso03 xorg-x11-ISO8859-15-100dpi-fonts xorg-x11-ISO8859-15-75dpi-fonts
%global Xobso04 xorg-x11-ISO8859-2-100dpi-fonts xorg-x11-ISO8859-2-75dpi-fonts
%global Xobso05 xorg-x11-ISO8859-9-100dpi-fonts xorg-x11-ISO8859-9-75dpi-fonts
%global Xobso06 xorg-x11-Mesa-libGL xorg-x11-Mesa-libGLU
%global Xobso07 xorg-x11-Xdmx xorg-x11-Xnest xorg-x11-Xvfb
%global Xobso08 xorg-x11-base-fonts xorg-x11-cyrillic-fonts 
%global Xobso09 xorg-x11-deprecated-libs xorg-x11-deprecated-libs-devel
%global Xobso10 xorg-x11-devel xorg-x11-doc
# xorg-x11-font-utils is same package name 6.8 and 7.x
%global Xobso11 xorg-x11-sdk xorg-x11-syriac-fonts xorg-x11-libs
%global Xobso12 xorg-x11-tools xorg-x11-truetype-fonts
# xorg-x11-twm is same package name 6.8 and 7.x
%global Xobso13 xorg-x11-xorgcfg
# xorg-x11-xauth, xorg-x11-xdm and  xorg-x11-xfs is same package name between 6.8 and 7.x

################################################

###
# BuildRequires list

BuildRequires: %{Xlibs01} %{Xlibs02} %{Xlibs03} %{Xlibs04} %{Xlibs05} %{Xlibs06} %{Xlibs07}
BuildRequires: %{Xlibs08}

BuildRequires: %{Xpkgs01} %{Xpkgs02} %{Xpkgs03} %{Xpkgs04} %{Xpkgs05} %{Xpkgs06} %{Xpkgs07}
BuildRequires: %{Xpkgs08} %{Xpkgs09} %{Xpkgs10} %{Xpkgs11}

BuildRequires: %{Xpkgdrv01} %{Xpkgdrv02} %{Xpkgdrv03} %{Xpkgdrv04} %{Xpkgdrv05}
BuildRequires: %{Xpkgdrv06} %{Xpkgdrv07} %{Xpkgdrv08} %{Xpkgdrv09} %{Xpkgdrv10}
BuildRequires: %{Xpkgdrv11} %{Xpkgdrv12} %{Xpkgdrv13} %{Xpkgdrv14} %{Xpkgdrv15}
BuildRequires: %{Xpkgdrv16} %{Xpkgdrv17} %{Xpkgdrv18} %{Xpkgdrv19} %{Xpkgdrv20}
BuildRequires: %{Xpkgdrv21}

BuildRequires: %{Xpkgetc01}

BuildRequires: %{Xfonts01} %{Xfonts02} %{Xfonts03} %{Xfonts04} %{Xfonts05}
BuildRequires: %{Xfonts06} %{Xfonts07} %{Xfonts08} %{Xfonts09} %{Xfonts10} 

%ifarch %{ix86}
BuildRequires: %{Xnotix86drv01} %{Xnotix86drv02} %{Xnotix86drv03}
BuildRequires: %{Xnotix86drv04} %{Xnotix86drv05}
%endif #%%{ix86}

###
# Requires list (== BuildRequires list)
Requires: %{Xlibs01} %{Xlibs02} %{Xlibs03} %{Xlibs04} %{Xlibs05} %{Xlibs06} %{Xlibs07}
Requires: %{Xlibs08}

Requires: %{Xpkgs01} %{Xpkgs02} %{Xpkgs03} %{Xpkgs04} %{Xpkgs05} %{Xpkgs06} %{Xpkgs07}
Requires: %{Xpkgs08} %{Xpkgs09} %{Xpkgs10} %{Xpkgs11}

Requires: %{Xpkgdrv01} %{Xpkgdrv02} %{Xpkgdrv03} %{Xpkgdrv04} %{Xpkgdrv05}
Requires: %{Xpkgdrv06} %{Xpkgdrv07} %{Xpkgdrv08} %{Xpkgdrv09} %{Xpkgdrv10}
Requires: %{Xpkgdrv11} %{Xpkgdrv12} %{Xpkgdrv13} %{Xpkgdrv14} %{Xpkgdrv15}
Requires: %{Xpkgdrv16} %{Xpkgdrv17} %{Xpkgdrv18} %{Xpkgdrv19} %{Xpkgdrv20}
Requires: %{Xpkgdrv21}

Requires: %{Xpkgetc01}

Requires: %{Xfonts01} %{Xfonts02} %{Xfonts03} %{Xfonts04} %{Xfonts05}
Requires: %{Xfonts06} %{Xfonts07} %{Xfonts08} %{Xfonts09} %{Xfonts10} 

%ifarch %{ix86}
Requires: %{Xnotix86drv01} %{Xnotix86drv02} %{Xnotix86drv03}
Requires: %{Xnotix86drv04} %{Xnotix86drv05}
%endif #%%{ix86}

###
# Obsoletes list
Obsoletes: %{Xobso01} %{Xobso02} %{Xobso03} %{Xobso04} %{Xobso05} %{Xobso06} %{Xobso07}
Obsoletes: %{Xobso08} %{Xobso09} %{Xobso10} %{Xobso11} %{Xobso12} %{Xobso13}

################################################

%description
This is meta package for X.

#This spec file is use for not Requires only but BuildRequires also.
#So, we use many many %%global 

%files

%changelog
* Fri May 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (7.1-1m)
- version up :-P

* Fri May 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (7.1-0.2.4m)
- replace xorg-x11-xinit-additional to xorg-x11-xinit-base

* Wed May 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.1-0.2.3m)
- separate ifarch ix86 packages to Xnotix86drv01 .. Xnotix86drv05

* Wed May  3 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (7.1-0.2.2m)
- add xorg-x11-xinit-additional

* Sun Apr 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.1-0.2.1m)
- obsolete xinitrc

* Sat Apr 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.1-0.2.0m)
- creat
- add japanese-fonts latin-fonts intlfonts
